      SUBROUTINE EXCHNG (A,B,C,D,X,Y,T,Q,N)
      implicit double precision (A-H,O-Z)
      include 'MOP6FILE'
      dimension X(*), Y(*)
C********************************************************************
C
C THE CONTENTS OF A, C, T, AND X ARE STORED IN B, D, Q, AND Y!
C
C   THIS IS A DEDICATED ROUTINE, IT IS CALLED BY LINMIN AND LOCMIN ONLY.
C
C********************************************************************
      B=A
      D=C
      Q=T
      do 10 I=1,N
         Y(I)=X(I)
   10 continue
      return
C
      end
